from .config import *
from .new_project import new_project

class INPUT:
    species = []
    basis_sets = []
    theories = []
    runtypes = []
    def __init__(self, specie, basis_set, theory, runtype):
        if specie is not in INPUT.species:
            INPUT.species += specie
        if basis_set is not in INPUT.basis_sets:
            INPUT.basis_sets += basis_set
        if theory is not in INPUT.theories:
            INPUT.theories += theory
        if runtype is not in INPUT.runtypes:
            INPUT.runtypes += runtype
        return

def init_data(maindir, title='Project_Name/'):
    """
    """
    #Iterate through directory looking for inps and logs
    for filename in os.listdir(maindir):
        if ('.inp' not in filename) and ('.log' not in filename):
            continue

        #Parse each file and fill globals of INPUT class
        file = maindir + filename
        INPUT(parse(file))

    #Make dictionary
    dict = {'Species': INPUT.species,       'Theory': INPUT.theories,
            'Basis Sets': INPUT.basis_sets, 'Run Types': INPUT.runtypes,
            'External Basis Sets': np.nan}

    #Make DataFrame
    df = pd.DataFrame(dict)

    #Call new_project function
    t = maindir + title
    new_project(maindir, df, title=t)

    return
